HomeMesosphereNo notifications. 4 unresolved issues.

Introduce TTY type and make it available on app and pod container.
ClosedAll Users

Authored by aquamatthias on Apr 7 2017, 4:41 PM.

Details

Summary

Raml type TTY added and referenced from App and Pod MesosContainer.
Added a tty to the ServiceDefinition in the zk model.
Added proto reader/writer for TTY.
Handle the tty in TaskBuilder for app and TaskGroupBuilder for pod.
Added test cases for the change.

In order to implement this change an update to Mesos 1.2 was needed (will extract an extra Patch for this).
Sadly Mesos 1.2 breaks framework registration with roles.
See: CORE-977

Test Plan

sbt test
sbt integration:test

Diff Detail

Repository
rMARATHON marathon
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
aquamatthias created this revision.Apr 7 2017, 4:41 PM
jenkins requested changes to this revision.Apr 7 2017, 4:48 PM
This revision now requires changes to proceed.Apr 7 2017, 4:48 PM
aquamatthias updated this revision to Diff 2586.Apr 7 2017, 6:40 PM
  • Upgrade on tty change.
jenkins requested changes to this revision.Apr 7 2017, 6:40 PM
This revision now requires changes to proceed.Apr 7 2017, 6:40 PM
unterstein accepted this revision.Apr 11 2017, 4:59 PM

Use deprecated methods.

This revision now requires changes to proceed.Apr 11 2017, 7:08 PM
  • Fix debian package.
jenkins requested changes to this revision.Apr 12 2017, 12:33 PM
This revision now requires changes to proceed.Apr 12 2017, 12:33 PM
  • Fix debian package.
jenkins requested changes to this revision.Apr 12 2017, 1:15 PM
This revision now requires changes to proceed.Apr 12 2017, 1:15 PM
timcharper requested changes to this revision.Apr 18 2017, 2:38 AM

I'd really prefer to not change our compiler settings if possible.

build.sbt
83 ↗(On Diff #2648)

This is a pretty severe workaround. Is there no other way?

src/main/scala/mesosphere/marathon/raml/AppConversion.scala
349

James has been pretty consistent about asking for this:

service.when(_.hasTty, _.getTty).orElse(App.DefaultTTY)
jenkins requested changes to this revision.Apr 19 2017, 7:11 PM
This revision now requires changes to proceed.Apr 19 2017, 7:11 PM
aquamatthias marked an inline comment as done.Apr 19 2017, 7:15 PM
  • Incorporate feedback from review.
jenkins requested changes to this revision.Apr 19 2017, 7:17 PM
This revision now requires changes to proceed.Apr 19 2017, 7:17 PM
timcharper accepted this revision.Apr 20 2017, 4:09 AM
This revision is now accepted and ready to land.Apr 20 2017, 4:09 AM
jenkins requested changes to this revision.Apr 20 2017, 2:42 PM
This revision now requires changes to proceed.Apr 20 2017, 2:42 PM
This revision is now accepted and ready to land.Apr 20 2017, 3:41 PM
This revision was automatically updated to reflect the committed changes.